<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use \App\Models\MetalDesplegado;

class MetalDesplegadoController extends Controller
{
    public function index()
    {
        return MetalDesplegado::all();
    }

    public function create() { }

    public function store(Request $request)
    {
        if (! $request->nombre) {
            return ['status' => 'error', 'message' => 'Debe indicar el nombre!'];
        }
        $item = MetalDesplegado::create($request->all());

        return ['status' => 'succes', 'data' => $item];
    }

    public function show($id) { }

    public function edit($id) { }

    public function update(Request $request, $id)
    {
        $item = MetalDesplegado::find($id);

        if (! $item) {
            return ['status' => 'error', 'message' => 'Metal Desplegado no existe!'];
        }

        $item->fill($request->all())->save();

        return ['status' => 'succes', 'data' => $item];
    }

    public function destroy($id)
    {
        $item = MetalDesplegado::find($id);
        $item->delete();
        return ['status' => 'succes', 'data' => $item];
    }
}
